# Get Venue Rate Plan Room Rate List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getRoomRateList`

Get a list of rate plan room rates.

#### Request Body

| Name                                        | Type    | Description                  |
| ------------------------------------------- | ------- | ---------------------------- |
| venueId<mark style="color:red;">\*</mark>   | integer | The id of the venue          |
| barId<mark style="color:red;">\*</mark>     | integer | The id of the rate plan      |
| barRateId<mark style="color:red;">\*</mark> | integer | The id of the rate plan rate |
| roomId                                      | integer | The id of the room           |

{% tabs %}
{% tab title="200 " %}

```
{
    "meta": {
        "totalResults": 3,
        "start": 0,
        "perPage": 3,
        "count": 3
    },
    "results": [
        {
            "id": 1,
            "barId": 1,
            "barRateId": 1,
            "roomId": 1,
            "cost": 55,
            "costDouble": null,
            "costTriple": null,
            "costQuad": null,
            "costExcludedTaxIds": [],
            "actualCost": 45,
            "actualCostDouble": null,
            "actualCostTriple": null,
            "actualCostQuad": null,
            "actualCostExcludedTaxIds": []
        },
        {
            "id": 2,
            "barId": 1,
            "barRateId": 1,
            "roomId": 22,
            "cost": 50,
            "costDouble": null,
            "costTriple": null,
            "costQuad": null,
            "costExcludedTaxIds": [],
            "actualCost": 45,
            "actualCostDouble": null,
            "actualCostTriple": null,
            "actualCostQuad": null,
            "actualCostExcludedTaxIds": []
        },
        {
            "id": 3,
            "barId": 1,
            "barRateId": 1,
            "roomId": 23,
            "cost": 50,
            "costDouble": 70,
            "costTriple": 0,
            "costQuad": 0,
            "costExcludedTaxIds": [],
            "actualCost": 0,
            "actualCostDouble": 0,
            "actualCostTriple": 0,
            "actualCostQuad": 0,
            "actualCostExcludedTaxIds": []
        }
    ]
}
```

{% endtab %}
{% endtabs %}

The result from this call will be a [collection](/getting-started/interpreting-the-response/collections.md) of all the room rates the user has access to. it does not accept [pagination](/getting-started/interpreting-the-response/pagination.md) or [filter](/getting-started/interpreting-the-response/filtering.md) properties.

### Example Request

```javascript
{
  "venueId": 1,
  "barId": 1,
  "barRateId": 1,
}
```

### Rate Plan Room Rate

| Property                 | Type    | Description                                                                                   |
| ------------------------ | ------- | --------------------------------------------------------------------------------------------- |
| id                       | integer | The unique id of the room rate                                                                |
| barId                    | integer | The unique id of the rate plan                                                                |
| barRateId                | integer | The unique id of the rate plan rate                                                           |
| roomId                   | integer | The unique id of the room                                                                     |
| cost                     | double  | The sale price of the room rate. Represents single occupancy when multi occupancy is enabled. |
| costDouble               | double  | The sale price of the room rate for double occupancy                                          |
| costTriple               | double  | The sale price of the room rate for triple occupancy                                          |
| costQuad                 | double  | The sale price of the room rate for quad occupancy                                            |
| costExcludedTaxIds       | array   | The excluded tax identifiers of the sale price                                                |
| actualCost               | double  | The cost of the room rate. Represents single occupancy when multi occupancy is enabled.       |
| actualCostDouble         | double  | The cost of the room rate for double occupancy                                                |
| actualCostTriple         | double  | The cost of the room rate for triple occupancy                                                |
| actualCostQuad           | double  | The cost of the room rate for quad occupancy                                                  |
| actualCostExcludedTaxIds | array   | The excluded tax identifiers of the cost                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/venuedata/get-room-rate-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
